%global         pypi_name patsy

%define         debug_package          %{nil}

Name:           python-patsy
Version:        0.5.1
Release:        %mkrel 3
Group:          Sciences/Mathematics
Summary:        A Python3 library for describing statistical models
License:        BSD
URL:            https://github.com/pydata/patsy
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch


%description
Patsy is a Python library for describing statistical models
(especially linear models, or models that have a linear component) and
building design matrices. Patsy brings the convenience of R "formulas"
to Python.

%package -n python3-%{pypi_name}
Summary:        A Python3 library for describing statistical models
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(numpy)


%description -n python3-%{pypi_name}
Patsy is a Python library for describing statistical models
(especially linear models, or models that have a linear component) and
building design matrices. Patsy brings the convenience of R "formulas"
to Python.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.5.1-3.mga8
+ Revision: 1535580
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.5.1-2.mga8
+ Revision: 1452411
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.5.1-1.mga7
+ Revision: 1353737
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1289660
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 eatdirt <eatdirt> 0.5.0-3.mga7
+ Revision: 1251619
- Fix missing BA:noach to mother package
- Fix name, add missing BR
- Fix screwing up name...
- imported package python-pastsy

